<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** Version 20220411 ****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE= $SITE['organ'] . "WPC Quantitative Precipitation Forecasts";
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
##############################  Settings  ##################################
$useOnClick = false; // Use 'onclick' or 'onmouseover'
$divWidth = '656'; // Minimum  width of Saratoga template page for this script
$nwsOffice = 'oax'; // Local NWS office
$fcdays = 'first2Days'; // Initial forecast days can be 'first2Days', 'second2Days', or 'third2days'
$divWidth = ($_SESSION['CSSwidescreen']==1 ? 800 : $divWidth);
$staLat = $SITE['latitude'];
$staLon = $SITE['longitude'];

$zCode = $SITE['noaazone']; // Use Settings.php forecast zone.  If this is a county zone, the script won't work
#$zCode = ''; // Hide the above $SITE['noaazone'] line and unhide this line.  Then enter your forecast zone
						 // from https://alerts.weather.gov/ if your Settings.php uses a county zone.  Surround the entry
						 // with the single quotes already present!
$windUnits = 1; // 1 is mph and 0 is knots
###########################  End of Settings ###############################
$localTimeZone = date_default_timezone_get();
if ($localTimeZone == 'America/New_York') $timeInit = 'EY5';
else if ($localTimeZone == 'America/Chicago') $timeInit = 'CY6';
else if ($localTimeZone == 'America/Denver') $timeInit = 'MY7';
else if ($localTimeZone == 'America/Los_Angeles') $timeInit = 'PY8';
else if ($localTimeZone == 'America/Anchorage') $timeInit = 'AY9';
else if ($localTimeZone == 'America/Honolulu') $timeInit = 'HN10';
//$timeInit = 'EY5';  // Debug Code
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	function showForecastjs(fcdays) { 
		$('#fctype').load('inc-wxgraphicalfc.php', {fcdays:fcdays,divWidth:<?php echo $divWidth?>,useOnClick:<?php echo ($useOnClick?1:0)?>,nwsOffice:<?php echo '\''.$nwsOffice.'\''?>,staLat:<?php echo $staLat?>,staLon:<?php echo $staLon?>,zCode:<?php echo '\''.$zCode.'\''?>,timeInit:<?php echo '\''.$timeInit.'\''?>,windUnits:<?php echo ($windUnits?1:0)?>});
	}
}
</script>
<style type="text/css">
	div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; border:inset">
	<?php } else {	?>
		<div id="main-copy" style="width:100%; border:inset">
  <?php } ?>
<br/><h2 align="center">NWS Six Day Hourly Graphical Forecasts<br/><br/>
</h2>
<?php if (substr($zCode,2,1)!='Z') {
	echo '<p align="center" style="font-size:13px; color:#FA0A0A"><b>This Script Requires a NOAA Forecast Zone, not a NOAA County Zone.<br/>
	Please follow the instructions in \'wxgraphicalfc.php\' in order to obtain a working script.<br/></b></p>';
} else { 
?>
<div align="center">
<h3 align="center">NWS Weather Forecast Office (WFO) <?php echo strtoupper($nwsOffice)?> Graphical Forecasts for <?php echo $SITE['cityname']?>, <?php echo substr($SITE['noaazone'],0,2)?></h3>
<div style="width:<?php echo $divWidth?>px" class="center">
<?php include ('inc-wxgraphicalfc.php');?>
</div>
</div><!-- end main-copy -->
<?php
include("footer.php");
}?>